CK_HS_RESET(3)

NAME
ck_hs_reset - remove all keys from a hash set

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_hs.h>
bool
ck_hs_reset(ck_hs_t *hs);

DESCRIPTION
The ck_hs_reset(3) function will remove all keys stored in the hash set pointed to by the hs argument.

RETURN VALUES
If successful, ck_hs_reset(3) will return true and will otherwise return false on failure. This function will only fail if a replacement hash set could not be allocated internally.

ERRORS
Behavior is undefined if hs is uninitialized. Behavior is undefined if this function is called by a non-writer thread.

SEE ALSO
ck_hs_init(3), ck_hs_move(3), ck_hs_destroy(3), CK_HS_HASH(3), ck_hs_iterator_init(3), ck_hs_next(3), ck_hs_get(3), ck_hs_put(3), ck_hs_put_unique(3), ck_hs_set(3), ck_hs_fas(3), ck_hs_remove(3), ck_hs_reset_size(3), ck_hs_grow(3), ck_hs_gc(3), ck_hs_rebuild(3), ck_hs_count(3), ck_hs_stat(3)

Additional information available at http://concurrencykit.org/